Package Details: sqlite-replication 3.30.0-1

Git Clone URL: https://aur.archlinux.org/sqlite-replication.git (read-only)
Package Base: sqlite-replication
Description: A C library that implements an SQL database engine
Upstream URL: http://www.sqlite.org/
Licenses: custom:public domain
Conflicts: sqlite
Provides: sqlite=3.30.0, sqlite3=3.30.0
Replaces: sqlite3
Submitter: monstermunchkin
Maintainer: monstermunchkin
Last Packager: monstermunchkin
Votes: 3
Popularity: 0.005228
First Submitted: 2018-08-01 08:46
Last Updated: 2019-10-07 07:01

Required by (1000)

Sources (4)

Latest Comments

1 2 Next › Last »

tuxayo commented on 2019-03-20 23:13

I had start-crashes on Firefox developper edition which should be resolved by recompiling dqlite and sqlite-replication I'm not sure because I simply switched back to sqlite because lxd didn't need anymore dqlite and sqlite-replication

see https://bugs.archlinux.org/task/61990

poc commented on 2018-08-24 15:30

Trying to build lxd for a 32bit manjaro, but got stuck at this package. Is there anyway to make it 32bit compatible?

Many thanks.

skuda commented on 2018-08-17 16:19

Yes, you are right, 1.26.1 works out of the box, sorry, after updating this morning I had yet 1.26.0-3

monstermunchkin commented on 2018-08-17 15:16

I used aur/visual-studio-code-bin, updated the version to 1.26.1, and removed the old sources of glibc, libxml2, and icu from the PKGBUILD.

skuda commented on 2018-08-17 15:05

What package did you use to install vscode? I am using this one: aur/visual-studio-code-bin 1.26.0-3

monstermunchkin commented on 2018-08-17 13:03

I tried with core/glibc 2.28-4 and vscode 1.26.1 (using glibc 2.28, not 2.27) and it works just fine.

skuda commented on 2018-08-17 12:16

@monstermunchkin,

No, the electron problem with glibc was not related, I just tried today after installing "core/glibc 2.28-4" and I have the same problem, vscode starts with sqlite 3.24.0-1, but not with sqlite-replication 3.24.0-1

monstermunchkin commented on 2018-08-17 09:16

@skuda, the issue is glibc which seems to have been fixed already.

skuda commented on 2018-08-16 16:47

Hi,

I can't start visual studio code with this patched sqlite package, I needed to replace it for the main one in my Arch host.

monstermunchkin commented on 2018-08-12 06:29

This package patches sqlite to enable replication which is needed for dqlite/dqlite-git. The replication.patch is a diff between the official sqlite and https://github.com/CanonicalLtd/sqlite.